# API Reference

## ModelWrapper

```eval_rst
.. autoclass:: baal.ModelWrapper
    :members:
```

## Active learning functionality

```eval_rst
.. autoclass:: baal.active.ActiveLearningDataset
    :members:

.. autoclass:: baal.active.ActiveLearningLoop
    :members:

.. autoclass:: baal.active.FileDataset
    :members:
```

## Heuristics

```eval_rst
.. autoclass:: baal.active.heuristics.AbstractHeuristic
    :members:

.. autoclass:: baal.active.heuristics.BALD

.. autoclass:: baal.active.heuristics.Random

.. autoclass:: baal.active.heuristics.Entropy
```


## Calibration Wrapper

```eval_rst
.. autoclass:: baal.calibration.DirichletCalibrator
    :members:
```
    
